.Header {
  height: var(--header-height);
  position: relative;
  padding: 0;
  background: #E8F3FB;

  > .wrapper {
    max-width: var(--content-width-max);
    margin: 0 auto;
    padding: 0 var(--block-indent-main);
    overflow: hidden;

    > * {
      display: block;
      float: left;

      &:last-child {
        float: right;
      }
    }
  }

  .logoWrapper {
    float: left !important;
  }

  .logo {
    display: block;
    float: left;
    width: 112px;
    min-width: 112px;
    height: 34px;
    margin: 7px 160px 0 16px;
    background: url('./../../../assets/img/logo.png') center no-repeat;
    background-size: contain;
  }

  button,
  .button {
    height: var(--header-height);
    line-height: var(--header-height);
    display: block;
    float: left;
    padding: 0 12px;
    margin-right: 10px;
    cursor: pointer;

    &:last-child {
      margin-right: 0;
    }

    > * {
      position: relative;
    }
  }

  .button.menu {
    display: block;
    width: 20px;
    padding: 0;
    text-align: center;
    margin-left: 0px;

    :global .anticon {
      top: 1px;
      font-size: 20px;
      color: #f4f4f4;
    }

    &:hover {
      opacity: 0.8;
    }
  }
}

@media (max-width: 980px) {
  .Header {
    position: relative;
    padding: 0;

    .logo {
      margin-right: 28px;
    }

    > .wrapper {
      padding-right: 36px;
      padding-left: 30px;
    }
  }

  .logo-wrapper {
    padding-left: 12px;
  }
}

@media screen and (max-width: 599px) {
  .header {
    > .wrapper {
      padding-right: 14px;
      padding-left: 0;
    }

    .button.menu {
      margin-left: 10px;
    }
  }
}
